summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
Diffstat (limited to 'dev-qt/qtmultimedia')
-rw-r--r--dev-qt/qtmultimedia/Manifest1
-rw-r--r--dev-qt/qtmultimedia/qtmultimedia-5.6.2.ebuild77
2 files changed, 78 insertions, 0 deletions
diff --git a/dev-qt/qtmultimedia/Manifest b/dev-qt/qtmultimedia/Manifest
index 132c597839df..5d83b8dc4b5f 100644
--- a/dev-qt/qtmultimedia/Manifest
+++ b/dev-qt/qtmultimedia/Manifest
@@ -2,4 +2,5 @@ DIST qt-everywhere-opensource-src-4.8.6.tar.gz 241623667 SHA256 8b14dd91b52862e0
DIST qt-everywhere-opensource-src-4.8.7.tar.gz 241075567 SHA256 e2882295097e47fe089f8ac741a95fef47e0a73a3f3cdf21b56990638f626ea0 SHA512 f9f81a2e7205e1fd05c8d923dc73244f29aa33f951fa6b7c5c8193449328b37084796b9b71ad0c317e4e6fd00017c10ea5d67b1b2032551cde00548522218125 WHIRLPOOL ad8f01172f5bdb3a3a69fe7b03862c4c411bc8d95211053ad66ed1d60a3c0577d073d1075a1e0a80b25d9b2721addda55a2967e6ccf5e194cec8d08770ac5fc2
DIST qtmultimedia-opensource-src-5.5.1.tar.xz 3464340 SHA256 7cc7ca99f41587c188303670499e5c75101f9a8cb6178e8f29cc941e637d957f SHA512 e38a3bc0ed77ab6fe7f3a68e2b0dcfebe3fb29c860a1ca48391a1519ebc4c564f25469082b4e9ef78e31093724df24b33aa83158fa9211221fa2c6d9154ce0d0 WHIRLPOOL 8e70821769a86a5de40754e303232c5e1441cc5c04b88082bac349d56360c7ad25af8d7893a3b3f2d9255ff6d18af8051bb369444c331fc4ecf5bce3de330bed
DIST qtmultimedia-opensource-src-5.6.1-1.tar.xz 3487908 SHA256 4e28dcc696a9996b03a124b0f56fc86646bc2e9d29d383dc923b926040774e5d SHA512 d28e85752a2daa58293ffc4c36a83020fece7dad5c1e88567c0f2d2d66733ff93bfd86b0d94756dfa38ac57ad963f9aeae89f42d81e0145d14f02f3954645d3c WHIRLPOOL 4f2fe48c77d93a89a0eede5603dedd06abac3059304a5c85209230da7aeb153c5f313dd6fc3f6247ebe36dc5a513e60aad3f587bc4854886aadb2e03ba1f3064
+DIST qtmultimedia-opensource-src-5.6.2.tar.xz 3492628 SHA256 cb9a70a7c6c0eb5be4a3fcaf9590863479e95a255308bbf07d5b7aa303bb8caf SHA512 e4750b1033f4ffbc139c14475fa07019bbb51a373d72a608035da583e88979fc7cc8694be90661c3977f6a1e0be2c27a98b348a632f62b2d40c224af927f9ccc WHIRLPOOL 1a9872996146371e4bf7d877c18a829986db63fca3ce57b250d9282d884a1479a7309b981c29c7bfedd4d965c5b76e94cafd11ea9c0e3c1d07852ebabb58365d
DIST qtmultimedia-opensource-src-5.7.0.tar.xz 3513016 SHA256 05ae705bda224a600b06e390aa7b1448c4a6a52d2d37842d2121fb4a5d84b559 SHA512 fdac8d63f48515dad46ba659e65d0c857c5d82d56a7fbadf8b436c57cdfeff3a681e0a53236df8d159dc8758c228fde9ca425708fed9a6a925682cdfe84f1908 WHIRLPOOL c70c8dc1715308f8fc043c652f9046e079c6fb71f133bce6fa720def245ab4a00cf6cdf93d1cf7adb1c09cb5a034dc984b70d4f9140ad10f1ec0ec2a499dd6cd
diff --git a/dev-qt/qtmultimedia/qtmultimedia-5.6.2.ebuild b/dev-qt/qtmultimedia/qtmultimedia-5.6.2.ebuild
new file mode 100644
index 000000000000..f2ea87fc9519
--- /dev/null
+++ b/dev-qt/qtmultimedia/qtmultimedia-5.6.2.ebuild
@@ -0,0 +1,77 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=6
+inherit qt5-build
+
+DESCRIPTION="Multimedia (audio, video, radio, camera) library for the Qt5 framework"
+
+if [[ ${QT5_BUILD_TYPE} == release ]]; then
+ KEYWORDS="~amd64 ~arm ~hppa ~ppc ~ppc64 ~x86"
+fi
+
+IUSE="alsa gles2 gstreamer gstreamer010 openal pulseaudio qml widgets"
+REQUIRED_USE="?? ( gstreamer gstreamer010 )"
+
+RDEPEND="
+ ~dev-qt/qtcore-${PV}
+ ~dev-qt/qtgui-${PV}[gles2=]
+ ~dev-qt/qtnetwork-${PV}
+ alsa? ( media-libs/alsa-lib )
+ gstreamer? (
+ dev-libs/glib:2
+ media-libs/gstreamer:1.0
+ media-libs/gst-plugins-bad:1.0
+ media-libs/gst-plugins-base:1.0
+ )
+ gstreamer010? (
+ dev-libs/glib:2
+ media-libs/gstreamer:0.10
+ media-libs/gst-plugins-bad:0.10
+ media-libs/gst-plugins-base:0.10
+ )
+ pulseaudio? ( media-sound/pulseaudio )
+ qml? (
+ ~dev-qt/qtdeclarative-${PV}
+ gles2? ( ~dev-qt/qtgui-${PV}[egl] )
+ openal? ( media-libs/openal )
+ )
+ widgets? (
+ ~dev-qt/qtopengl-${PV}
+ ~dev-qt/qtwidgets-${PV}[gles2=]
+ )
+"
+DEPEND="${RDEPEND}
+ gstreamer? ( x11-proto/videoproto )
+"
+
+src_prepare() {
+ # do not rely on qtbase configuration
+ sed -i -e 's/contains(QT_CONFIG, \(alsa\|pulseaudio\))://' \
+ qtmultimedia.pro || die
+
+ qt_use_compile_test alsa
+ qt_use_compile_test gstreamer
+ qt_use_compile_test openal
+ qt_use_compile_test pulseaudio
+
+ qt_use_disable_mod qml quick \
+ src/src.pro \
+ src/plugins/plugins.pro
+
+ qt_use_disable_mod widgets widgets \
+ src/src.pro \
+ src/gsttools/gsttools.pro \
+ src/plugins/gstreamer/common.pri
+
+ qt5-build_src_prepare
+}
+
+src_configure() {
+ local myqmakeargs=(
+ $(usex gstreamer 'GST_VERSION=1.0' '')
+ $(usex gstreamer010 'GST_VERSION=0.10' '')
+ )
+ qt5-build_src_configure
+}